classification
Title: The description of the argument of MAKE_FUNCTION and MAKE_CLOSURE is incorrect
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, daniel.urban, docs@python, pitrou, python-dev
Priority: normal Keywords: needs review, patch

Created on 2012-11-25 22:15 by daniel.urban, last changed 2015-08-13 18:38 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
make_function_closure.patch daniel.urban, 2012-11-25 22:15 review
Messages (5)
msg176390 - (view) Author: Daniel Urban (daniel.urban) * (Python triager) Date: 2012-11-25 22:15
The description of the argument of the MAKE_FUNCTION and MAKE_CLOSURE opcodes in the documentation of the dis module is incorrect. Patch attached.
msg176413 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-11-26 13:43
The patch is better than current doc.
Would you like to replace textual description of stack layout with some kind of ascii-art or table? I think it can be more readable.
msg176536 - (view) Author: Daniel Urban (daniel.urban) * (Python triager) Date: 2012-11-28 12:23
Sorry, I won't have time for that in the following weeks.
msg248532 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-08-13 18:37
New changeset c515b40a70eb by Antoine Pitrou in branch '3.4':
Issue #16554: fix description for MAKE_CLOSURE.  Initial patch by Daniel Urban.
https://hg.python.org/cpython/rev/c515b40a70eb

New changeset 2a41fb63c095 by Antoine Pitrou in branch '3.5':
Issue #16554: fix description for MAKE_CLOSURE.  Initial patch by Daniel Urban.
https://hg.python.org/cpython/rev/2a41fb63c095

New changeset 7aed2d7e7dd5 by Antoine Pitrou in branch 'default':
Issue #16554: fix description for MAKE_CLOSURE.  Initial patch by Daniel Urban.
https://hg.python.org/cpython/rev/7aed2d7e7dd5
msg248533 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-08-13 18:38
The description for MAKE_FUNCTION had already been fixed in the meantime, so I pushed the changes for MAKE_CLOSURE. Thank you!
History
Date User Action Args
2015-08-13 18:38:33pitrousetstatus: open -> closed

nosy: + pitrou
messages: + msg248533

resolution: fixed
stage: patch review -> resolved
2015-08-13 18:37:58python-devsetnosy: + python-dev
messages: + msg248532
2012-11-28 12:23:03daniel.urbansetmessages: + msg176536
2012-11-26 13:43:19asvetlovsetnosy: + asvetlov
messages: + msg176413
2012-11-25 22:15:40daniel.urbancreate